Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

# Class DependencyGraphUpdater<T>

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.DependencyGraphUpdater<T>

public class DependencyGraphUpdater<T> extends Object
This class's responsibility is to maintain the state of its graph when notified that a new model resource or a new dependency have been found.

## Constructor Summary

Constructors
Constructor
Description
`DependencyGraphUpdater(IGraph<T> graph, com.google.common.eventbus.EventBus eventBus)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`recordEdge(DependencyFoundEvent<T> event)`
Register a dependency in the graph.
`void`
`recordNode(ResolvedEvent<T> event)`
Register a discovered resource in the graph.
`void`
`recordRemoval(ResourceRemovedEvent<T> event)`
Register removal of nodes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DependencyGraphUpdater

public DependencyGraphUpdater(IGraph<T> graph, com.google.common.eventbus.EventBus eventBus)
Constructor.

Parameters:
  `graph` - The graph, must not be null.
  `eventBus` - The event bus that will fire events to record.

## Method Details

### recordNode

public void recordNode(ResolvedEvent<T> event)
Register a discovered resource in the graph.

Parameters:
  `event` - Event that describes the discovered resource.

### recordEdge

public void recordEdge(DependencyFoundEvent<T> event)
Register a dependency in the graph.

Parameters:
  `event` - Event that describes the dependency.

### recordRemoval

public void recordRemoval(ResourceRemovedEvent<T> event)
Register removal of nodes.

Parameters:
  `event` - The event indicating the removed nodes.